<template>
  <el-col :span="16" :offset="6">
    <el-form label-width="100px" ref="formRef" :model="form">
      <el-form-item
        label="审批建议"
        prop="reason"
        style="margin-bottom: 20px"
        :rules="{
          required: true,
          message: '请选择',
          trigger: 'change'
        }"
      >
        <el-input
          type="textarea"
          v-model="form.reason"
          placeholder="请输入审批建议"
        />
      </el-form-item>
    </el-form>

    <div style="margin-left: 10%; margin-bottom: 20px; font-size: 14px">
      <el-button
        icon="el-icon-edit-outline"
        type="success"
        size="mini"
        @click="handleAudit2(1)"
        >通过
      </el-button>

      <el-button
        icon="el-icon-circle-close"
        type="danger"
        size="mini"
        @click="handleAudit2(0)"
        >驳回
      </el-button>
    </div>
  </el-col>
</template>

<script>
  import {
    outsourceAssign,
    outsourceNotPass
  } from '@/api/bpm/components/outsourcedWarehousing/index';

  // 流程实例的详情页，可用于审批
  export default {
    name: '',
    components: {},
    props: {
      businessId: {
        default: ''
      },
      taskId: {
        default: ''
      },
      id: {
        default: ''
      },

      taskDefinitionKey: {
        default: ''
      }
    },
    data() {
      return {
        form: {
          technicianId: '',
          reason: ''
        }
      };
    },

    computed: {},
    created() {},
    methods: {
      handleAudit2(status) {
        this._approveTaskThorVariables(status);
      },

      async _approveTaskThorVariables(status) {
        if (status == 1) {
          outsourceAssign({
            businessId: this.businessId,
            id: this.taskId,
            reason: this.form.reason,
            pass: true
          }).then((res) => {
            this.$emit('handleAudit', {
              status,
              title: ''
            });
          });
        } else if (status == 0) {
          outsourceNotPass({
            id: this.taskId,
            reason: this.form.reason,
            pass: false
          }).then((res) => {
            this.$emit('handleAudit', {
              status,
              title: '驳回'
            });
          });
        }
      }
    }
  };
</script>

<style lang="scss"></style>
